package com.perf.thread;

import com.perf.timer.*;
public class ContributorSync extends Thread {
	private ContributionSync myContribution;
	private String myName;
	StopWatch sw;
	public ContributorSync(ContributionSync contribution,String name) {
		myContribution=contribution;
		myName=name;
		sw=new StopWatch();
	}
	public void startTimer() {
		sw.start();
	}
	public void run() {
		for(int loop=0;loop<1000;loop++) {
			myContribution.donate();
		}
		System.out.format("%s total=%d  %fns\n",myName
				,myContribution.getTotal()
				,sw.getElapsedNano());
	}
}
